#--------------
# edckmenu.tcl 
#--------------
#
#  Check the validity of menu entries.
#
#--
#  Check "File" menu.
#--
proc checkFileMenu {} {
  global fileName contents
  if {$fileName == ""} {
    .menu.file.m entryconfigure 4 -state disabled
  } else {
    .menu.file.m entryconfigure 4 -state normal
  }
}
#--
#  Check "Edit" menu.
#--
proc checkEditMenu {} {
  global buffer tw
  if {[$tw tag nextrange sel 1.0] == "" } {
    .menu.edit.m entryconfigure 0 -state disabled
    .menu.edit.m entryconfigure 1 -state disabled
  } else {
    .menu.edit.m entryconfigure 0 -state normal
    .menu.edit.m entryconfigure 1 -state normal
  }
  if {$buffer == ""} {
    .menu.edit.m entryconfigure 2 -state disabled
  } else {
    .menu.edit.m entryconfigure 2 -state normal         
  }
}
#--
#  Check "Search" menu.
#--
proc checkSearchMenu {} {
  global tw
  if {[string trimright [$tw get 1.0 end]] == "" } {
    .menu.search.m entryconfigure 0 -state disabled
    .menu.search.m entryconfigure 1 -state disabled
  } else {
    .menu.search.m entryconfigure 0 -state normal
    .menu.search.m entryconfigure 1 -state normal
  }
}
#--
#  Check "Help" menu.
#--
proc checkHelpMenu {} {
    .menu.help.m entryconfigure 0 -state normal
}
